package com.github.wxiaoqi.security.admin.mapper;

import com.github.wxiaoqi.security.admin.entity.AppStaffUser;
import com.github.wxiaoqi.security.admin.entity.ModifiedUsers;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.additional.insert.InsertListMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @author Administrator
 */
public interface AppStaffUserMapper extends Mapper<AppStaffUser>, InsertListMapper<AppStaffUser> {
    List<AppStaffUser> selectByBysuIdOrUsername(@Param("id") Integer id,@Param("username") String username);

    void updateByPositionId(ModifiedUsers modifiedUsers);

    void update(ModifiedUsers modifiedUsers);
    void saveStaffUser(AppStaffUser appStaffUser);
}
